Subject: Re: Problem with Busybox shell

From: "tiejun.chen" <[email-masked]>
Date: Wed, 19 Jan 2011 13:37:58 +0800

MohanReddy koppula wrote:
> But, if there is any problem with cable I could not have seen any
> character in the interrupt routine of the driver. I turned off both

I suppose the bootloader, i.e u-boot, works well so looks this should not be
issued by the cable at least.

> software and hardware flow control as by board doesn't have hardware
> flow control. tty_read is called and it hangs at ldisc->read. And I

Any panic information? Or any dead lock? Which line in detail?

> see that data is put into the tty buffer by the driver. Will there be
> any problem with copy_to_user() if there is some problem in the
> memory?

Can the serial driver support the poll mode? If so maybe you can take a try to
exclude any interrupt reason.

And even you can remove all codes to initialize the corresponding PIN & CLK
dedicated to the serial port, then try again since the bootloader already did this.

Tiejun

> 
> Thanks,
> Mohan
> 
> On Tue, Jan 18, 2011 at 12:55 PM, Nicholas Mc Guire <[email-masked]> wrote:
>> On Tue, 18 Jan 2011, MohanReddy koppula wrote:
>>
>>> Hi All,
>>>
>>> I am working on an MPC885 based custom board. I am able to boot up the
>>> linux (linux-2.6.33.7). I could see busybox shell (ash) prompt. But it
>>> is not accepting any inputs, I am not able to enter any command, it
>>> just hangs there. I am using ttyCPM0 terminal.
>>>
>>> I suspected if there was any problem in CPM driver interrupts
>>> generation and put some printk's in the interrupt handler and could
>>> see interrupts are raised and data is read, but shell is not taking
>>> the input.
>>>
>>> I wrote an init.c and opened the ttyCPM0 and tried to read from it,
>>> but couldn't. I am able to write to ttyCPM0 and see it on the host
>>> minicom.
>>>
>> if you are using minicom to connect check if you have hardware/software flow
>> control turned on - it also could be a cabling problem - had this with the
>> beagle board where the tx line was on the wrong pin - so I got output but
>> could not get any response to input.
>>
>> hofrat
>>
>>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>